MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0022931Community[OCCT] OCCT:Foundation Classespublic2012-01-27 18:302012-04-16 12:32
ReporterPawel 
Assigned Tobugmaster 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformAOSLOS VersionL
Product Version[OCCT] 6.5.2 
Target Version[OCCT] 6.5.3Fixed in Version[OCCT] 6.5.3 
Summary0022931: Wrong delete operator in Message_Msg.cxx / Message_PrinterOStream.cxx
DescriptionMessage_Msg.cxx (line 160) / Message_PrinterOStream.cxx (line 125) should use the "delete []" operator as arrays are deleted.
TagsNo tags attached.
Test case numbertest case is not required
Attached Files

- Relationships

-  Notes
(0019296)
Pawel (developer)
2012-01-27 18:52

forgot to set the [Product Version] to OCCT 6.5.2
(0019562)
dbv (developer)
2012-02-15 09:36

"delete []" operator used

Branch http://svn/svn/occt/branches/OCC22931 [^] is ready to be reviewed.

Dear Andrey,
Please review.
(0019563)
abv (manager)
2012-02-15 09:43

No remarks (apart of that all this should be made with normal C++ classes, but this is different story); please test.
(0019595)
aan (tester)
2012-02-16 12:20
edited on: 2012-02-16 12:21

Dear BugMaster,
Workbench aan-22931-occt was created from SVN branch http://svn/svn/occt/branches/OCC22931 [^]
(and aan-22931-products from trunk) and compiled on Linux platform.

There are not regressions in aan-22931-products regarding to KAS:dev:products-20120210-opt

See results in /QADisk/occttests/results/KAS/dev/aan-22931-products_15022012/lin
See reference results in /QADisk/occttests/results/KAS/dev/products-20120210-opt_10022012/lin
See test cases in /QADisk/occttests/tests/ED
N.B. In order to launch testing case you can make use the following instructions
http://doc/doku.php?id=occt:certification [^]

(0019613)
bugmaster (administrator)
2012-02-17 12:08

Integrated into trunk of occt repository

Date: 2012-02-17 12:03:59 +0400 (Fri, 17 Feb 2012)
New Revision: 10496

Modified:
   trunk/src/Message/Message_Msg.cxx
   trunk/src/Message/Message_PrinterOStream.cxx
(0020368)
Pawel (developer)
2012-04-12 17:08

Verified. Please close.

- Related Changesets
occt: master 06ddeafb
Timestamp: 2012-02-17 08:03:59
Author: Pawel, DBV
Committer: bugmaster
Details ] Diff ]
0022931: Wrong delete operator in Message_Msg.cxx / Message_PrinterOStream.cxx
mod - src/Message/Message_Msg.cxx Diff ] File ]
mod - src/Message/Message_PrinterOStream.cxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2012-01-27 18:30 Pawel New Issue
2012-01-27 18:30 Pawel Assigned To => abv
2012-01-27 18:52 Pawel Note Added: 0019296
2012-01-30 17:47 abv Assigned To abv => pdn
2012-01-30 17:47 abv Status new => assigned
2012-02-07 08:52 abv Assigned To pdn => dbv
2012-02-07 10:19 bugmaster Product Version => 6.5.2
2012-02-15 09:36 dbv Note Added: 0019562
2012-02-15 09:36 dbv Assigned To dbv => abv
2012-02-15 09:36 dbv Status assigned => resolved
2012-02-15 09:43 abv Note Added: 0019563
2012-02-15 09:43 abv Assigned To abv => dbv
2012-02-15 09:43 abv Status resolved => reviewed
2012-02-15 13:40 mkv Assigned To dbv => aan
2012-02-16 12:00 aan Test case number => test case is not required
2012-02-16 12:20 aan Note Added: 0019595
2012-02-16 12:21 aan Note Edited: 0019595 View Revisions
2012-02-16 12:21 aan Note Edited: 0019595 View Revisions
2012-02-16 12:21 aan Note Edited: 0019595 View Revisions
2012-02-16 12:37 aan Status reviewed => tested
2012-02-17 12:07 bugmaster Assigned To aan => Pawel
2012-02-17 12:07 bugmaster Target Version => 6.5.3
2012-02-17 12:08 bugmaster Note Added: 0019613
2012-02-17 12:08 bugmaster Status tested => verified
2012-02-17 12:08 bugmaster Resolution open => fixed
2012-03-29 17:26 bugmaster Changeset attached => occt master 06ddeafb
2012-04-12 17:08 Pawel Note Added: 0020368
2012-04-16 12:32 Pawel Assigned To Pawel => bugmaster


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker